package emSendMiniIpc;

use strict;
use warnings;

sub GetDepedencies
{
	return ('emCore');
}

sub IsEssential
{
	return 1;
}

sub GetFileHandlingRules
{
	return ();
}

sub GetExtraBuildOptions
{
	return ();
}

sub Build
{
	shift;
	my %options=@_;

	system(
		"perl", $options{'unicc'},
		$options{'debug'} eq 'yes' ? ("--debug") : (),
		"--math",
		"--rtti",
		"--exceptions",
		"--bin-dir"       , "bin",
		"--lib-dir"       , "lib",
		"--obj-dir"       , "obj",
		"--inc-search-dir", "include",
		"--link"          , "emCore",
		"--type"          , "cexe",
		"--name"          , "emSendMiniIpc",
		"src/emSendMiniIpc/emSendMiniIpc.cpp"
	)==0 or return 0;

	return 1;
}
